/* A StringTokenizer example: given a list of elements, return the 
   first element and the list of all but the first element (i.e. 
   the rest of the list). */

import java.io.*;
import java.util.StringTokenizer;

class First_Rest2 {

   public static void main (String[] args) throws IOException {

      BufferedReader stdin = new BufferedReader 
                                 (new InputStreamReader(System.in));
      StringTokenizer list;
      String new_list = "";
      String next_word;
      System.out.print ("Enter a list of words: ");
      System.out.flush();

      list = new StringTokenizer (stdin.readLine(), " ", true);  /* spaces will
                                              be treated as tokens, because the 
                                     elements of new_list must be tokens also */

      System.out.println ("The first element of the list is: " + 
                                    list.nextToken());

      next_word = list.nextToken();  // ignore the space between first and rest
       
      while (list.hasMoreTokens())  {

        next_word = list.nextToken();
        new_list = new_list.concat(next_word);

      }

      System.out.println ("The rest of the list is: " + new_list);

   } 
}
